List an agent's runs
curl --request GET \
--url https://api.endclose.com/v1/agents/{id}/runs \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.endclose.com/v1/agents/{id}/runs"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.endclose.com/v1/agents/{id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scheduled_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggered_by": "manual",
"triggered_by_user_id": "<string>",
"triggered_by_run_id": "<string>",
"agent_review_task_id": "<string>",
"status": "pending",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"error_message": "<string>",
"summary": "<string>",
"model": "<string>",
"total_input_tokens": 123,
"total_output_tokens": 123,
"output_files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"byte_size": 123,
"content_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"dropped_files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"byte_size": 123,
"content_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"delivery": {},
"transcript": [
{}
],
"created_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>",
"limit": 123
}Agents
List an agent's runs
Returns a paginated list of the agent’s runs, newest first. Transcripts are omitted — fetch a single run to get its transcript.
GET
/
agents
/
{id}
/
runs
List an agent's runs
Authorizations
Path Parameters
The unique identifier of the agent
Query Parameters
Opaque cursor from a previous response's next_cursor. Omit for the first page.
Required range:
1 <= x <= 200